/*
 * BEGIN_HEADER - DO NOT EDIT
 *
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the "License").  You may not use this file except
 * in compliance with the License.
 *
 * You can obtain a copy of the license at
 * https://open-jbi-components.dev.java.net/public/CDDLv1.0.html.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * HEADER in each file and include the License file at
 * https://open-jbi-components.dev.java.net/public/CDDLv1.0.html.
 * If applicable add the following below this CDDL HEADER,
 * with the fields enclosed by brackets "[]" replaced with
 * your own identifying information: Portions Copyright
 * [year] [name of copyright owner]
 */

/*
 * @(#)POJOContext.java
 *
 * Copyright 2004-2007 Sun Microsystems, Inc. All Rights Reserved.
 *
 * END_HEADER - DO NOT EDIT
 */
package org.glassfish.openesb.pojose.api.res;

import javax.jbi.messaging.MessageExchange;

import javax.jbi.messaging.MessageExchangeFactory;
import javax.jbi.servicedesc.ServiceEndpoint;

/**
 *  POJO Context provides easy methods to POJO Service to invoke another service.
 *  Instance is injected by POJO Service Engine into member variable annotated with 
 *  POJOResource
 * 
 *  @author Sreeni genipudi
 */
public interface POJOContext {    
    //ME factories
    public MessageExchangeFactory createExchangeFactory();
    public MessageExchangeFactory createExchangeFactory(javax.xml.namespace.QName interfaceName);
    public MessageExchangeFactory createExchangeFactory(ServiceEndpoint endpoint);
    public MessageExchangeFactory createExchangeFactoryForService(javax.xml.namespace.QName serviceName);

    public MessageExchange getMessageExchange();        
}
